
<app-header-logged pageOrigine="/monobjet" >
  
  <ion-back-button  text ="" defaultHref="/mesobjetsassures"></ion-back-button>
  
</app-header-logged>
<ion-content>
  <app-refresher></app-refresher>
  
  <marquee behavior="alternate"  scrolldelay = "100" scrollamount="4" direction="right" style="color: secondary; font-size: 13px;">
     
      <ion-text color ="secondary"  >
        L'assurance   de votre toyota expire bientot
      </ion-text>
      
    </marquee>
  <ion-card  class="background" >
    <!-- <div class="contentBlock titreSection">
      <p class="heading">STATUT VEHICULE</p>
      <div class="image" *ngIf="!titreStatutVisible" (click)="affichageDetails(titreStatutParam,true)">
        
        <img src="../../assets/icon/details.svg">
      </div>
      <div class="image" *ngIf="titreStatutVisible" (click)="affichageDetails(titreStatutParam,false)">
        <img src="../../assets/icon/close.svg">
      </div>
    </div> -->
    <div > 
      
        <div class="contentBlock titrePage" style="margin-left: 0px;">
          <p > <img class ="iconeVoiture" src="../../assets/icon/car.svg"></p>
          <p> {{objet.matricule}} </p>
          <p > {{objet.marque}} {{objet.modele}}</p>
          
        </div>    
        
      <div class ="contentBlock ">
        <p *ngIf="objet.statut==4"> Statut :Assuré du {{displayDate(objet.contrats[objet.contrats.length-1].dateEffet)}} au {{displayDate(objet.contrats[objet.contrats.length-1].dateCloture)}}</p>
        
        <p *ngIf="objet.statut==3">Statut : L'objet est valide pas assuré pour le moment</p>
        <p *ngIf="objet.statut==2">Statut : La validation de l'objet en cours</p>
        <p *ngIf="objet.statut==1">Statut : La validation de l'objet a échoué</p>
      </div>
    </div>   
    
    <div class="contentBlock titreSection">
      <p class="heading">INFORMATIONS PRESTATION </p>
      <div class="image" *ngIf="!infoServVisible" (click)="affichageDetails(infoServParam,true)">
        
        <img src="../../assets/icon/details.svg">
      </div>
      <div class="image" *ngIf="infoServVisible" (click)="affichageDetails(infoServParam,false)">
        <img src="../../assets/icon/close.svg">
      </div>
    </div>
    <div *ngIf="infoServVisible">
      <div  class="contentBlock">
        <p >No Immatriculation :</p>
        
        
        <p  >{{objet.matricule}}</p>
      </div>    
      
      
      <div  class="contentBlock">
        <p>No Carte Grise :</p>
        
        
        
        
        
        <p >{{objet.numCarteGrise}}</p>
        
      </div>
      
      
      <div  class="contentBlock">
        <p>Marque du Véhicule :</p>
        
        
        <p >{{objet.marque}}</p>
        
        
      </div>
      
      
      
      <div  class="contentBlock"> 
        <p >Modèle :</p>
        
        
        <p >{{objet.modele}}</p>
        
      </div>
      
      
      <div  class="contentBlock">
        <p>Usage</p>
        <p>{{objet.usage}}</p>
      </div>
      
      
      <div  class="contentBlock">
        <p>Carburant :</p>
        
        
        
        
        
        <p>{{objet.carburant}}</p>
        
      </div> 
      
      
      <div  class="contentBlock">  
        <p>Age du Véhicule</p>
        
        
        
        
        
        <p>{{objet.annee}}</p>
        
      </div> 
      
      
      <div  class="contentBlock">
        <p>Puissance Fiscale :</p>
        
        
        
        
        
        <p>{{objet.puissanceFiscale}}</p>
        
      </div> 
      
      <div  class="contentBlock">
        <p>Nbre de Places :</p>
        
        
        
        
        
        <p>{{objet.nombrePlaces}}</p>
        
      </div> 
      
      <div  class="contentBlock">
        <p>Valeur déclarative :</p>
        
        
        
        
        
        
        <p>{{objet.valeurDeclarative}}</p>
        
      </div> 
      
      <div  class="contentBlock">
        <p>Valeur initiale :</p>
        
        
        
        
        <p>{{objet.valeurInitiale}}</p>
      </div> 
      
      <div  class="contentBlock">
        <p>Fin Visite Technique :</p>
        
        <p
        [ngClass]="[diffdate(objet.controleTechnique.dateValidite,date,'jour')>15?'dateblanc':'',
        diffdate(objet.controleTechnique.dateValidite,date,'jour')<15 && diffdate(objet.controleTechnique.dateValidite,date,'jour') >=0?'dateorange':'',
          diffdate(objet.controleTechnique.dateValidite,date,'jour')<0?'daterouge':''
          ]"  
          
          readonly>
          {{displayDate(objet.controleTechnique.dateValidite)}}
          
          <ion-text color ="warning" *ngIf="diffdate(objet.controleTechnique.dateValidite,date,'jour')<15 && diffdate(objet.controleTechnique.dateValidite,date,'jour') >=0 "><small><small>-{{diffdate(objet.controleTechnique.dateValidite,date,'jour')}}j</small></small></ion-text>
            
          </p>
          
        </div>
      </div>  
       
        <div class="contentBlock titreSection">
          <p class="heading">INFORMATIONS PRESTATAIRE</p>
          <div class="image" *ngIf="!infoPrestataireVisible" (click)="affichageDetails(infoPrestataireParam,true)">
            
            <img src="../../assets/icon/details.svg">
          </div>
          <div class="image" *ngIf="infoPrestataireVisible" (click)="affichageDetails(infoPrestataireParam,false)">
            <img src="../../assets/icon/close.svg">
          </div>
        </div>
        <div *ngIf="infoPrestataireVisible">    
          <div  class="contentBlock">
            <p>Nom</p>
            
            <p>{{contactProprietaire.nom}}</p>
            
          </div> 
          
          <div  class="contentBlock"> 
            <p>Prenom</p>
            
            <p>{{contactProprietaire.prenom}}</p>
            
          </div> 
          
          <div  class="contentBlock">
            <p>Civilite</p>
            
            <p>{{contactProprietaire.civilite}}</p>
            
          </div> 
          
        </div> 
        <div class="contentBlock titreSection">
            <p class="heading">MESSAGES</p>
            <div class="image" *ngIf="!messageVisible" (click)="affichageDetails(messageParam,true)">
              
              <img src="../../assets/icon/details.svg">
            </div>
            <div class="image" *ngIf="messageVisible" (click)="affichageDetails(messageParam,false)">
              <img src="../../assets/icon/close.svg">
            </div>
          </div>
          <div *ngIf="messageVisible">    
            <div  class="contentBlock">
              <p>Nom</p>
              
              <p>{{contactProprietaire.nom}}</p>
              
            </div> 
            
            <div  class="contentBlock"> 
              <p>Prenom</p>
              
              <p>{{contactProprietaire.prenom}}</p>
              
            </div> 
            
            <div  class="contentBlock">
              <p>Civilite</p>
              
              <p>{{contactProprietaire.civilite}}</p>
              
            </div> 
            
          </div>    
      
        <div class="contentBlock titreSection">
            <p class="heading">DOCUMENTS PRESTATIONS</p>
            <div class="image" *ngIf="!docServVisible" (click)="affichageDetails(docServParam,true)">
              
              <img src="../../assets/icon/details.svg">
            </div>
            <div class="image" *ngIf="docServVisible" (click)="affichageDetails(docServParam,false)">
              <img src="../../assets/icon/close.svg">
            </div>
          </div>
          <div *ngIf="docServVisible">    
            <div class="contentBlock" (click)="chargerCarteGrise()">
              <p>Carte Grise:</p>
              <p class="fileButton">
                <ion-label >
                  Telecharger <ion-icon name="ios-uploaddoc" color="blue"   slot="end" ></ion-icon>
                </ion-label>
              </p>    
            </div> 
            
            <div class="contentBlock" (click)="chargerControleTechnique()">
              <p>Controle Technique:</p>
              
              <p class="fileButton">
                <ion-label >
                  Telecharger <ion-icon name="ios-uploaddoc" color="blue"   slot="end" ></ion-icon>
                </ion-label>
              </p>    
            </div>
            
          </div> 
     
        
       
        
      </ion-card> 
      
      <ion-grid padding>
        <ion-row>
          <ion-col >
            <ion-button color="primary" expand="block"  shape="round">Cloturer la demande</ion-button>
          </ion-col>
          
          
          
        </ion-row>
      </ion-grid>
      
      
    </ion-content>
    
    <ion-footer>
      <app-custom-tab-bar></app-custom-tab-bar>
    </ion-footer>